Package org.bukkit.event.entity

# Enum Class EntityRegainHealthEvent.RegainReason

java.lang.Object
java.lang.Enum<EntityRegainHealthEvent.RegainReason>
org.bukkit.event.entity.EntityRegainHealthEvent.RegainReason

All Implemented Interfaces:
  `Serializable`, `Comparable<EntityRegainHealthEvent.RegainReason>`, `Constable`

Enclosing class:
  EntityRegainHealthEvent

public static enum EntityRegainHealthEvent.RegainReason extends Enum<EntityRegainHealthEvent.RegainReason>
An enum to specify the type of health regaining that is occurring

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CUSTOM`
Any other reason not covered by the reasons above
`EATING`
When a player regains health from eating consumables
`ENDER_CRYSTAL`
When an ender dragon regains health from an ender crystal
`MAGIC`
When a player is healed by a potion or spell
`MAGIC_REGEN`
When a player is healed over time by a potion or spell
`REGEN`
When a player regains health from regenerating due to Peaceful mode (difficulty=0)
`SATIATED`
When a player regains health from regenerating due to their hunger being satisfied
`WITHER`
When an entity is damaged by the Wither potion effect
`WITHER_SPAWN`
When a wither is filling its health during spawning

## Method Summary

Modifier and Type
Method
Description
`static EntityRegainHealthEvent.RegainReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityRegainHealthEvent.RegainReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REGEN

public static final EntityRegainHealthEvent.RegainReason REGEN
When a player regains health from regenerating due to Peaceful mode (difficulty=0)

### SATIATED

public static final EntityRegainHealthEvent.RegainReason SATIATED
When a player regains health from regenerating due to their hunger being satisfied

### EATING

public static final EntityRegainHealthEvent.RegainReason EATING
When a player regains health from eating consumables

### ENDER_CRYSTAL

public static final EntityRegainHealthEvent.RegainReason ENDER_CRYSTAL
When an ender dragon regains health from an ender crystal

### MAGIC

public static final EntityRegainHealthEvent.RegainReason MAGIC
When a player is healed by a potion or spell

### MAGIC_REGEN

public static final EntityRegainHealthEvent.RegainReason MAGIC_REGEN
When a player is healed over time by a potion or spell

### WITHER_SPAWN

public static final EntityRegainHealthEvent.RegainReason WITHER_SPAWN
When a wither is filling its health during spawning

### WITHER

public static final EntityRegainHealthEvent.RegainReason WITHER
When an entity is damaged by the Wither potion effect

### CUSTOM

public static final EntityRegainHealthEvent.RegainReason CUSTOM
Any other reason not covered by the reasons above

## Method Details

### values

public static EntityRegainHealthEvent.RegainReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EntityRegainHealthEvent.RegainReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null